Bug 807337 - Guvnor BPMN Designer character escaping does not work properly
Guvnor BPMN Designer character escaping does not work properly
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: BRMS 5.3.0.GA
Assigned To: Tihomir Surdilovic
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 10:43 EDT by Radovan Synek
Modified: 2012-05-09 16:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
process definition (6.88 KB, application/octet-stream)
2012-03-27 10:43 EDT, Radovan Synek
no flags Details

  None (edit)
Description Radovan Synek 2012-03-27 10:43:56 EDT
Created attachment 573086 [details]
process definition

Description of problem:

Designer escapes XML source of process definition each time when you want to save it. Explanation on adHocSubProcess completionCondition:
user enters:
getActivityInstanceAttribute("numberOfActiveInstances") == 0
first save:
getActivityInstanceAttribute("numberOfActiveInstances") == 0
second save:
getActivityInstanceAttribute("numberOfActiveInstances") == 0
third save:
getActivityInstanceAttribute("numberOfActiveInstances") == 0

etc...

Steps to Reproduce:
1.Launch guvnor and import attached process definition.
2.Try to save it several times and watch the value of completionCondition attribute on adHocSubProcess node. Before each saving change something in process definition (to force saving).
Comment 2 Tihomir Surdilovic 2012-04-02 01:59:03 EDT
Fix for adHocCompletionCondition attribute done in master and 2.1.x Designer branch. Now connected to the Expression editor.

Note You need to log in before you can comment on or make changes to this bug.